site_name: DAN library
site_dir: public

theme:
  name: material

  # Branding
  logo: assets/logo.png
  favicon: assets/favicon.png

  font:
    text: Roboto
    code: Roboto Mono

  features:
  - navigation.top
  - navigation.tracking
  - navigation.indexes

  palette:
    # Palette toggle for light mode
    - media: "(prefers-color-scheme: light)"
      scheme: default
      toggle:
        icon: material/brightness-7
        name: Switch to dark mode

    # Palette toggle for dark mode
    - media: "(prefers-color-scheme: dark)"
      scheme: slate
      toggle:
        icon: material/brightness-4
        name: Switch to light mode

plugins:
- search
- autorefs
- mkdocstrings:
    handlers:
      python:
        options:
          show_root_toc_entry: false
          show_object_full_path: false
          show_root_heading: yes
          show_source: true
          docstring_style: sphinx
          merge_init_into_class: yes
          show_category_heading: yes
          separate_signature: yes
          members_order: source
          show_if_no_docstring: true

nav:
  - Home: index.md
  - Original implementation: original_paper.md
  - Get started:
    - get_started/index.md
    - Development: get_started/development.md
    - Training: get_started/training.md
  - Usage:
    - usage/index.md
    - Datasets:
      - usage/datasets/index.md
      - Dataset entities: usage/datasets/entities.md
      - Dataset tokens: usage/datasets/tokens.md
      - Dataset extraction: usage/datasets/extract.md
      - Dataset download: usage/datasets/download.md
      - Dataset language model: usage/datasets/language_model.md
      - Dataset analysis: usage/datasets/analyze.md
    - Training:
      - usage/train/index.md
      - Configuration: usage/train/config.md
      - Data augmentation: usage/train/augmentation.md
      - Language model: usage/train/language_model.md
      - Tensorboard: usage/train/tensorboard.md
      - Jean Zay tutorial: usage/train/jeanzay.md
    - Evaluation: usage/evaluate/index.md
    - Prediction: usage/predict/index.md
    - Convert: usage/convert/index.md

  - Python Reference:
    - Datasets:
      - ref/datasets/index.md
      - Utils: ref/datasets/utils.md
      - Analyze:
        - ref/datasets/analyze/index.md
        - Statistics: ref/datasets/analyze/statistics.md
      - Download:
        - ref/datasets/download/index.md
        - Images: ref/datasets/download/images.md
        - Utils: ref/datasets/download/utils.md
        - Exceptions: ref/datasets/download/exceptions.md
      - Entities:
        - ref/datasets/entities/index.md
        - Extract: ref/datasets/entities/extract.md
      - Extraction:
        - ref/datasets/extract/index.md
        - Arkindex: ref/datasets/extract/arkindex.md
        - Utils: ref/datasets/extract/utils.md
        - Database management: ref/datasets/extract/db.md
        - Exceptions: ref/datasets/extract/exceptions.md
      - Language model:
        - ref/datasets/language_model/index.md
        - Build: ref/datasets/language_model/build.md
        - Utils: ref/datasets/language_model/utils.md
      - Tokens:
        - ref/datasets/tokens/index.md
        - Generate: ref/datasets/tokens/generate.md
    - OCR:
      - ref/ocr/index.md
      - Managers:
        - ref/ocr/managers/index.md
        - Dataset managers: ref/ocr/managers/dataset.md
        - Metrics managers: ref/ocr/managers/metrics.md
        - OCR managers: ref/ocr/managers/ocr.md
        - Training managers: ref/ocr/managers/training.md
      - Training: ref/ocr/train.md
      - Evaluation: ref/ocr/evaluate.md
      - Prediction:
        - ref/ocr/predict/index.md
        - Inference: ref/ocr/predict/inference.md
        - Attention: ref/ocr/predict/attention.md
      - Decoder: ref/ocr/decoder.md
      - Encoder: ref/ocr/encoder.md
      - MLflow: ref/ocr/mlflow.md
      - Schedulers: ref/ocr/schedulers.md
      - Transformations: ref/ocr/transforms.md
      - Utils: ref/ocr/utils.md
    - CLI: ref/cli.md
    - Utils: ref/utils.md

  - Contributing: contributing.md

markdown_extensions:
    - smarty
    - toc:
        permalink: True
    - sane_lists
    - pymdownx.highlight
    - def_list # enable definition lists
    - admonition # syntax coloration in code blocks
    - codehilite
    - pymdownx.details
    - pymdownx.superfences
    - pymdownx.magiclink

copyright:  Copyright &copy; Teklia

extra:
  social:
    - icon: fontawesome/regular/heart
      name: Teklia official website
      link: https://teklia.com
    - icon: fontawesome/brands/gitlab
      name: Git repository for this project
      link: https://gitlab.teklia.com/atr/dan
    - icon: fontawesome/brands/linkedin
      name: Teklia @ LinkedIn
      link: https://www.linkedin.com/company/teklia

extra_css:
  - css/ner.css
